Subject: [Hipsec] java + hip

From: [email-masked] (Miika Komu)
Date: Tue Mar 9 09:46:01 2004

Today Jaakko Kangasharju finished writing of java JNI wrapper library for
HIPL legacy HIP resolver library. The wrapper library was tested with two
test network applications written in java. The amount of changes in the
application code required just adding one line of code in each application
to bypass standard java socket classes to the JNI wrapper.

I guess this was the first java application ever that was HIP enabled? We
will celebrate that with Jaakko with some beer and sauna. Cheers!

-- 
Miika Komu              [email-masked]          http://www.iki.fi/miika/